Get Wallet ID
curl --request GET \
--url https://api.changu.app/api/v1/account/{identifier} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.changu.app/api/v1/account/{identifier}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.changu.app/api/v1/account/{identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"walletId": "wallet_id_here"
}{
"statusCode": 400,
"message": "Invalid encrypted wallet ID"
}{
"statusCode": 400,
"message": "Invalid encrypted wallet ID"
}Wallet
Get Wallet ID
Retrieve wallet ID by username or phone number. Phone numbers starting with 09, 9, 08, or 8 are automatically detected.
GET
/
account
/
{identifier}
Get Wallet ID
Authorizations
Bearer token authentication using developer secret key. Format: Bearer sk_live_your_secret_key_here
Path Parameters
Username or phone number (e.g., 'john_doe' or '0988521023' or '988521023')
Response
Encrypted wallet ID retrieved successfully
Wallet ID for the user
Example:
"wallet_id_here"
⌘I
